Bug 383541 - puplet stuck on "Retrieving updates information" and yum-updatesd traceback
puplet stuck on "Retrieving updates information" and yum-updatesd traceback
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 17:03 EST by Stu Tomlinson
Modified: 2008-05-28 15:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stu Tomlinson 2007-11-14 17:03:58 EST
Description of problem:
yum-updatesd never downloads update data, and outputs a traceback if run from a
terminal. This is observed as puplet never showing anything useful, but I'm
guessing the problem is really yum-updatesd. Please reassign if I'm wrong.

Version-Release number of selected component (if applicable):
yum-updatesd-3.2.7-1.fc7
yum-3.2.7-1.fc7
pirut-1.3.9-1.fc7


How reproducible:
1 out of my 2 Fedora 7 boxes exhibits this. So, 50% reproducible :(

Steps to Reproduce:
1. run yum-updatesd -f in a terminal
2. run puplet
3. watch puplet get stuck on "Retrieving update information" and exception
printed by yum-updatesd
  
Actual results:
[root@localhost ~]# yum-updatesd -f
Exception in thread UpdateDownloadThread:
Traceback (most recent call last):
  File "/usr/lib/python2.5/threading.py", line 460, in __bootstrap
    self.run()
  File "/usr/share/yum-cli/yumupd.py", line 264, in run
    (result, msgs) = self.updd.buildTransaction()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 574, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 713, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 790, in
_resolveRequires
    thisneeds = self._checkRemove(txmbr)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 857, in _checkRemove
    for p in newpo.provides:
  File "/usr/lib/python2.5/site-packages/yum/packages.py", line 341, in <lambda>
    provides = property(fget=lambda self: self.returnPrco('provides'))
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 186, in returnPrco
    cur = cache.cursor()
ProgrammingError: SQLite objects created in a thread can only be used in that
same thread.The object was created in thread id -1208543552 and this is thread
id -1224041584

Exception in thread UpdateDownloadThread:
Traceback (most recent call last):
  File "/usr/lib/python2.5/threading.py", line 460, in __bootstrap
    self.run()
  File "/usr/share/yum-cli/yumupd.py", line 264, in run
    (result, msgs) = self.updd.buildTransaction()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 574, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 713, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 790, in
_resolveRequires
    thisneeds = self._checkRemove(txmbr)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 857, in _checkRemove
    for p in newpo.provides:
  File "/usr/lib/python2.5/site-packages/yum/packages.py", line 341, in <lambda>
    provides = property(fget=lambda self: self.returnPrco('provides'))
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 186, in returnPrco
    cur = cache.cursor()
ProgrammingError: SQLite objects created in a thread can only be used in that
same thread.The object was created in thread id -1208543552 and this is thread
id -1224041584


Expected results:
Silence from yum-updatesd & puplet showing me updates available (or no updates
available)

Additional info:
Comment 1 Jeremy Katz 2007-11-15 20:07:47 EST
What plugins do you have installed on the box with problems?
Comment 2 Stu Tomlinson 2007-11-16 10:01:45 EST
Actually both my boxes have problems I just didn't realize it - the one where I
thought it was OK is stuck on "No updates available" even though there are
updates... but I haven't looked into why that is so for now I'll concentrate on
the one reported here.

I assume you mean yum plugins, I have these yum related packages installed:
# rpm -qa yum\*
yum-arch-2.2.2-2.fc7
yum-presto-0.3.10-1.fc7
yum-utils-1.1.7-1.fc7
yum-3.2.7-1.fc7
yum-fastestmirror-1.1.7-1.fc7
yum-updatesd-3.2.7-1.fc7
yum-metadata-parser-1.1.0-2.fc7

in /etc/yum/pluginconf.d I have fastestmirror (disabled) and presto (enabled)
Comment 3 Jeremy Katz 2007-11-16 10:55:46 EST
I vaguely remember presto using threading.  Unfortunately, threads really throw
a monkey wrench into the works of how yum-updatesd functions, which is part of
why it was entirely redesigned and rewritten in Fedora 8.

You should be able to just install the F8 package on Fedora 7.  I need to sit
down and do the finagling necessary to push it as an official update too.
Comment 4 Stu Tomlinson 2007-11-16 12:33:28 EST
Excellent, installing the F8 package (actually I rebuilt the F8 package from CVS
on F7) solved my problems on both F7 boxes. Should I leave this bug open pending
an official update for F7?
Comment 5 Jeremy Katz 2007-11-16 12:36:15 EST
Yeah, that's fine
Comment 6 Bug Zapper 2008-05-14 11:03:42 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jeremy Katz 2008-05-28 15:01:07 EDT
Given the remaining life of Fedora 7, we're not going to push the new
yum-updatesd to it.
Comment 8 Stu Tomlinson 2008-05-28 15:47:31 EDT
(In reply to comment #7)
> Given the remaining life of Fedora 7, we're not going to push the new
> yum-updatesd to it.

Apparently I was the only person having this issue and I'm still perfectly happy
with my rebuild of F8's yum-updatesd, so that's fine by me. Keep up the good work :)

Note You need to log in before you can comment on or make changes to this bug.